Chapter 1. Preface

Requirements

To run Kile, you need to have the following components installed on your system:

  • K Desktop environment (KDE): KDE is a popular open-source desktop environment.

  • Qt: Qt™ is a C++ GUI and network library needed to compile Kile.

  • LATEX: high-quality document typesetting program. Most likely you want the TeX Live (or on older systems the teTEX) package, if you are on a UNIX®-like system.

Most of these items might be included in your Linux® distribution; please refer to your distribution documentation, or refer to your installation CD or DVD, for adding these packages to your computer.

Kile might also be available as a pre-compiled package for your Linux® distribution already. Please check with the package manager of your distribution.